This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 253809 - SELinux is preventing /usr/libexec/postfix/local (postfix_local_t) "write" selinux preventing postfix from working
SELinux is preventing /usr/libexec/postfix/local (postfix_local_t) "write" s...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 21:48 EDT by Harjit Singh Mavi
Modified: 2008-01-30 14:19 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:19:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harjit Singh Mavi 2007-08-21 21:48:19 EDT
Description of problem:
Summary
    SELinux is preventing /usr/libexec/postfix/local (postfix_local_t) "write"
    to root (mail_spool_t).

Detailed Description
    SELinux denied access requested by /usr/libexec/postfix/local. It is not
    expected that this access is required by /usr/libexec/postfix/local and this
    access may signal an intrusion attempt. It is also possible that the
    specific version or configuration of the application is causing it to
    require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for root, restorecon -v root If this
    does not work, there is currently no automatic way to allow this access.
    Instead,  you can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:postfix_local_t
Target Context                system_u:object_r:mail_spool_t
Target Objects                root [ file ]
Affected RPM Packages         postfix-2.4.3-2.fc7
                              [application]filesystem-2.4.6-1.fc7 [target]
Policy RPM                    selinux-policy-2.6.4-33.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     yoyo.ms.unimelb.edu.au
Platform                      Linux yoyo.ms.unimelb.edu.au 2.6.22.1-41.fc7 #1
                              SMP Fri Jul 27 18:10:34 EDT 2007 i686 i686
Alert Count                   21
First Seen                    Tue 21 Aug 2007 04:01:03 AM EST
Last Seen                     Wed 22 Aug 2007 04:38:31 AM EST
Local ID                      16f1f620-6453-4dba-9fa4-6bb02922fcdc
Line Numbers                  

Raw Audit Messages            

avc: denied { write } for comm="local" dev=dm-3 egid=0 euid=0
exe="/usr/libexec/postfix/local" exit=-13 fsgid=0 fsuid=0 gid=0 items=0
name="root" pid=12742 scontext=system_u:system_r:postfix_local_t:s0 sgid=0
subj=system_u:system_r:postfix_local_t:s0 suid=0 tclass=file
tcontext=system_u:object_r:mail_spool_t:s0 tty=(none) uid=0



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. i installed FC7 (office and prod.)
2. installed postfix using yum
3. got this error message after few hrs of installing postfix
  
Actual results:


Expected results:


Additional info:
Comment 1 Russell Coker 2007-08-22 19:52:01 EDT
The ideal thing to do is to have a boolean determining whether it can be 
written by postfix_local_t or procmail_t and have the boolean default to 
whatever the default configuration of Postfix in Fedora is.
Comment 2 Daniel Walsh 2007-09-04 16:08:54 EDT
Added boolean allow_postfix_local_write_mail_spool
to selinux-policy-2.6.4-41

setsebool -P allow_postfix_local_write_mail_spool=1 

will turn on this permission.
Comment 3 Daniel Walsh 2008-01-30 14:19:32 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.